
--Toggle Buy Receipts for player
function DL.ToggleBuy(buttonname)
	
	DL.savedVars.Buy = (not DL.savedVars.Buy)  --Flip the boolean value to true or false
	local message = DL[DL.language].togglebuy .. ((DL.savedVars.Buy) and DL[DL.language].enabled or DL[DL.language].disabled)  -- Check the value for enabled or disabled.
	

		if (DL.savedVars.Buy) then
			buttonname:SetText('[X]')
		else 
			buttonname:SetText('[  ]')
		end

	DL.LootWindowHandler(message) -- Let the player know if it's enabled or disabled.

end

--Toggle Locking Loot Window
function DL.ToggleLockLW(buttonname)
	
	DL.savedVars.LockLW = (not DL.savedVars.LockLW)  --Flip the boolean value to true or false
	local message = DL[DL.language].togglelock  .. ((DL.savedVars.LockLW) and DL[DL.language].enabled or DL[DL.language].disabled)  -- Check the value for enabled or disabled.
	

		if (DL.savedVars.LockLW) then
		
			buttonname:SetText('[X]')
			dl_lootWindow:SetMovable(false)
			
		else 
		
			buttonname:SetText('[  ]')
			dl_lootWindow:SetMovable(true)
			
		end
		
	DL.LootWindowHandler(message)-- Let the player know if it's enabled or disabled.

end

--Toggle AutoSell trash to vendor
function DL.ToggleAutoSell(buttonname)
	
	DL.savedVars.AutoSell = (not DL.savedVars.AutoSell)  --Flip the boolean value to true or false
	local message = DL[DL.language].junktrash .. ((DL.savedVars.AutoSell) and DL[DL.language].enabled or DL[DL.language].disabled)  -- Check the value for enabled or disabled.
	

		if (DL.savedVars.AutoSell) then
			buttonname:SetText('[X]')
		else 
			buttonname:SetText('[  ]')
		end

	DL.LootWindowHandler(message)-- Let the player know if it's enabled or disabled.

end

--Toggles Quest Loot.
function DL.ToggleQuest(buttonname)
	
	DL.savedVars.Quest = (not DL.savedVars.Quest)  --Flip the boolean value to true or false
	local message = DL[DL.language].questloot .. ((DL.savedVars.Quest) and DL[DL.language].enabled or DL[DL.language].disabled)  -- Check the value for enabled or disabled.
	

		if (DL.savedVars.Quest) then
			buttonname:SetText('[X]')
		else 
			buttonname:SetText('[  ]')
		end

	
	DL.LootWindowHandler(message) -- Let the player know if it's enabled or disabled.

end

-- Toggles Trash Loot.
function DL.ToggleTrash(buttonname)
	
	DL.savedVars.Trash = (not DL.savedVars.Trash)  --Flip the boolean value to true or false
	local message = DL[DL.language].trashloot .. ((DL.savedVars.Trash) and DL[DL.language].enabled or DL[DL.language].disabled) -- Check the value for enabled or disabled.
	

		if (DL.savedVars.Trash) then
			buttonname:SetText('[X]')
		else 
			buttonname:SetText('[  ]')
		end

	
	DL.LootWindowHandler(message)-- Let the player know if it's enabled or disabled.

end

--Toggles Normal Loot.
function DL.ToggleNormal(buttonname)
	
	DL.savedVars.Normal = (not DL.savedVars.Normal)  --Flip the boolean value to true or false
	local message = DL[DL.language].normalloot  .. ((DL.savedVars.Normal) and DL[DL.language].enabled or DL[DL.language].disabled)  -- Check the value for enabled or disabled.
	

		if (DL.savedVars.Normal) then
			buttonname:SetText('[X]')
		else 
			buttonname:SetText('[  ]')
		end

	
	DL.LootWindowHandler(message) -- Let the player know if it's enabled or disabled.

end

--Toggles Magic Loot.
function DL.ToggleMagic(buttonname)
	
	DL.savedVars.Magic = (not DL.savedVars.Magic)  --Flip the boolean value to true or false
	local message = DL[DL.language].magicloot .. ((DL.savedVars.Magic) and DL[DL.language].enabled or DL[DL.language].disabled)  -- Check the value for enabled or disabled.
	
	if (DL.savedVars.Magic) then
			buttonname:SetText('[X]')
	else 
			buttonname:SetText('[  ]')
	end
	
	DL.LootWindowHandler(message) -- Let the player know if it's enabled or disabled.

end

--Used to toggle the Gold variable.
function DL.ToggleGold(buttonname)

	DL.savedVars.Gold = (not DL.savedVars.Gold)  --Flip the boolean value to true or false
	local message = DL[DL.language].goldloot .. ((DL.savedVars.Gold) and DL[DL.language].enabled or DL[DL.language].disabled)  -- Check the value for enabled or disabled.
	
	if (DL.savedVars.Gold) then
			buttonname:SetText('[X]')
	else 
			buttonname:SetText('[  ]')
	end
	
	DL.LootWindowHandler(message) -- Let the player know if it's enabled or disabled.
		  
end

--Used to toggle the Group variable
function DL.ToggleGroup(buttonname)

	DL.savedVars.Group = (not DL.savedVars.Group)  --Flip the boolean value to true or false
	local message = DL[DL.language].grouploot .. ((DL.savedVars.Group) and DL[DL.language].enabled or DL[DL.language].disabled)  -- Check the value for enabled or disabled.
	
	if (DL.savedVars.Group) then
			buttonname:SetText('[X]')
	else 
			buttonname:SetText('[  ]')
	end
	
	DL.LootWindowHandler(message)-- Let the player know if it's enabled or disabled.
	
	
end

--Toggle Auto Repair off or no
function DL.ToggleRepair(buttonname)
	
	DL.savedVars.Repair = (not DL.savedVars.Repair)  --Flip the boolean value to true or false
	local message = DL[DL.language].togglerepairs .. ((DL.savedVars.Repair) and DL[DL.language].enabled or DL[DL.language].disabled) -- Check the value for enabled or disabled.
	

		if (DL.savedVars.Repair) then
			buttonname:SetText('[X]')
		else 
			buttonname:SetText('[  ]')
		end

	DL.LootWindowHandler(message) -- Let the player know if it's enabled or disabled.

end

--You can turn the window off and on from the settings menu.
function DL.ToggleLootWindow(buttonname)

		DL.savedVars.LootWindow = (not DL.savedVars.LootWindow) --Switch values (boolean)
		local message = DL[DL.language].showlootwindow .. ((DL.savedVars.LootWindow) and DL[DL.language].enabled or DL[DL.language].disabled)  -- Check the value for enabled or disabled.	
		
		if (DL.savedVars.LootWindow) then
			dl_lootWindow:SetHidden( false )
			buttonname:SetText('[X]')
		else 
			dl_lootWindow:SetHidden( true )
			buttonname:SetText('[  ]')
		end

	DL.LootWindowHandler(message)-- Let the player know if it's enabled or disabled.
		
end

function DL.ToggleChatLoot(buttonname)
	
	DL.savedVars.ChatLoot = (not DL.savedVars.ChatLoot)  --Flip the boolean value to true or false
	local message = DL[DL.language].showchatloot .. ((DL.savedVars.ChatLoot) and DL[DL.language].enabled or DL[DL.language].disabled) -- Check the value for enabled or disabled.
	

		if (DL.savedVars.ChatLoot) then
			buttonname:SetText('[X]')
		else 
			buttonname:SetText('[  ]')
		end

	DL.LootWindowHandler(message)-- Let the player know if it's enabled or disabled.

end

--Toggle Sell Receipts for player
function DL.ToggleSell(buttonname)
	
	DL.savedVars.Sell = (not DL.savedVars.Sell)  --Flip the boolean value to true or false
	local message = DL[DL.language].togglesellreceipt .. ((DL.savedVars.Sell) and DL[DL.language].enabled or DL[DL.language].disabled)  -- Check the value for enabled or disabled.
	

		if (DL.savedVars.Sell) then
			buttonname:SetText('[X]')
		else 
			buttonname:SetText('[  ]')
		end

	DL.LootWindowHandler(message) -- Let the player know if it's enabled or disabled.

end
